org.apache.hc.core5.testing.framework

## Class TestingFrameworkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.testing.framework.TestingFrameworkException

- All Implemented Interfaces:
    Serializable

      public class TestingFrameworkException
      extends Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NO_HTTP_CLIENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestingFrameworkException(String message)` Creates a WebServerTestingFrameworkException with the specified detail message.
    `TestingFrameworkException(Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `void` | `setAdapter(ClientTestingAdapter adapter)`
    `void` | `setTest(FrameworkTest test)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_HTTP_CLIENT

          public static final String NO_HTTP_CLIENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TestingFrameworkException

          public TestingFrameworkException(String message)

      Creates a WebServerTestingFrameworkException with the specified detail message.

    - #### TestingFrameworkException

          public TestingFrameworkException(Throwable cause)

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### setAdapter

          public void setAdapter(ClientTestingAdapter adapter)

    - #### setTest

          public void setTest(FrameworkTest test)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.